DLQ

Restart Workflow from DLQ

Restart a failed workflow run from the DLQ. The workflow will start from the beginning.

POST/v2/workflows/dlq/restart/{dlqId}
cURL
curl --request POST \
  --url https://qstash-{region}.upstash.io/v2/workflows/dlq/restart/{dlqId} \
  --header 'Authorization: Bearer <token>'
200Response
{
  "workflowRunId": "<string>",
  "workflowCreatedAt": 123
}

Authorization

Authorizationheaderstringrequired

Bearer authentication header of the form Bearer <token>.

Path parameters

dlqIdpathstringrequired

The DLQ ID of the workflow run to restart.

Header parameters

Upstash-Retriesheaderinteger

Override the number of retries for the workflow steps.

Upstash-Delayheaderstring

Override the delay before executing the workflow. Format is <value><unit> (e.g., "10s", "5m").

Upstash-Retry-Delayheaderstring

Override the retry delay expression for the workflow steps.

Upstash-Flow-Control-Keyheaderstring

Override the flow control key for the workflow.

Upstash-Flow-Control-Valueheaderstring

Override the flow control configuration in the format parallelism=<value>, rate=<value>, period=<value>.

Upstash-Labelheaderstring

Override the label(s) for the workflow.

You can assign multiple labels by providing a comma-separated list.

Example: label_1,label_2

Upstash-Failure-Callbackheaderstring

Override the failure callback URL for the workflow.

Response

200 — Workflow restarted successfully

workflowRunIdstring

The ID of the restarted workflow run (a new ID is generated for the restarted run).

workflowCreatedAtinteger

The timestamp when the restarted workflow run was created (Unix timestamp in milliseconds).

400 — Bad Request - Invalid DLQ ID, not a workflow message, or workflow doesn't support restart

errorstringrequired

Error message

401 — Unauthorized

errorstringrequired

Error message

404 — DLQ message not found

errorstringrequired

Error message

500 — Internal Server Error

errorstringrequired

Error message

Loading search…